Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wms.operation
Class DescribeLayer

    java.lang.Object
      org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
          org.deegree.ogcwebservices.wms.operation.WMSRequestBase
              org.deegree.ogcwebservices.wms.operation.DescribeLayer

All Implemented Interfaces:
  Serializable, OGCWebServiceRequest

    public class DescribeLayer

extends WMSRequestBase

`DescribeLayer`

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Schmitz, last edited by: $Author: mschneider $
See Also:
  Serialized Form

Method Summary
`static DescribeLayer` | `create(Map<String,String> map)`
`String[]` | `getLayers()`

Methods inherited from class org.deegree.ogcwebservices.wms.operation.WMSRequestBase
`getServiceName`

Methods inherited from class org.deegree.ogcwebservices.AbstractOGCWebServiceRequest
`getId, getParam, getParamAsInt, getParamValues, getRequestParameter, getRequiredParam, getVendorSpecificParameter, getVendorSpecificParameters, getVersion, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### create

    public static DescribeLayer create(Map<String,String> map)
                                throws InconsistentRequestException

  Parameters:
    `map` -
  Returns:
    the new describe layer request
  Throws:
    `InconsistentRequestException`

### getLayers

    public String[] getLayers()

  Returns:
    the list of requested layers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org